View Issue Details

IDProjectCategoryView StatusLast Update
0006261CentOS-6anacondapublic2013-02-18 13:03
Reporterobourdon38 
PrioritynormalSeverityblockReproducibilityalways
Status newResolutionopen 
Product Version6.3 
Target VersionFixed in Version 
Summary0006261: Unable use packages containing %pretans section for automated installations
DescriptionCreated a package mypkg with the following caracteristics:

...
Requires(pretrans): coreutils
...
%pretrans
# removed stuff here which required coreutils
# just for the bug to be more easily reproductible
exit 0
...

and added it into a custom ISO installation media which works great without
mypkg

Right after the installation of package started I get a fatal error
and the file /mnt/systimage/root/install.log contains

error: %pretrans(mypkg-1.0-0.noarch) scriptlet failed, exit status 127

Note that this "works" for CentOS 5.8 as the failure did not seem to be fatal

Note also that looking at the install.log it seems also that as mypkg is the 1st to be installed the dependency
Requires(pretrans): coreutils
is not taken into account at all
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2013-02-18 13:03 obourdon38 New Issue